# The upstream version
%global upver 2.3.0.4
# The project url on the forge
%global forgeurl https://github.com/skarnet/s6-portable-utils/
# The tag being packaged
%global tag v%{upver}
# The commit being packaged
%global commit 6798c0676545bd7ea2f547a275b829b7222b84b1
# The alternative bin directory for execline
%global _execdir %{_prefix}/exec

%forgemeta


Name:       s6-portable-utils
Version:    %{upver}
Release:    %{autorelease}
Summary:    Tiny utilities for Unix systems
URL:        %{forgeurl}
License:    ISC
Source:     %{forgesource}

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  skalibs-devel

Requires:   skalibs

%description
s6-portable-utils is a set of tiny general Unix utilities,
some performing well-known tasks such as cut and grep,
others being nonstandard but useful in a variety of
scripting situations; they have been optimized for simplicity
and small size. They were designed for embedded systems and
other constrained environments, but they work everywhere.


%package doc
Summary: The s6-portable-utils Documentaion

%description doc
The s6-portable-utils Documentaion package.


%package devel
Summary:    The s6-portable-utils Development files
Requires:   %{name}%{_isa} = %{version}
Requires:   skalibs-devel

%description devel
The s6-portable-utils development package.


%prep
%forgeautosetup


%build
export PATH="%{_execdir}:${PATH}"
%configure \
    --bindir=%{_execdir} \
    --dynlibdir=%{_libdir} \
    --with-sysdeps=%{_sysdepsdir} \
    --with-include=%{_includedir} \
    --with-lib=%{_libdir} \
    --with-dynlib=%{_libdir} \
    --enable-shared \
    --disable-allstatic \
    --disable-static
%make_build


%install
export PATH="%{_execdir}:${PATH}"
%make_install


%check
: TODO Check


%files
%license COPYING
%{_execdir}/s6-basename
%{_execdir}/s6-cat
%{_execdir}/s6-chmod
%{_execdir}/s6-chown
%{_execdir}/s6-clock
%{_execdir}/s6-cut
%{_execdir}/s6-dirname
%{_execdir}/s6-dumpenv
%{_execdir}/s6-echo
%{_execdir}/s6-env
%{_execdir}/s6-expr
%{_execdir}/s6-false
%{_execdir}/s6-format-filter
%{_execdir}/s6-grep
%{_execdir}/s6-head
%{_execdir}/s6-hiercopy
%{_execdir}/s6-linkname
%{_execdir}/s6-ln
%{_execdir}/s6-ls
%{_execdir}/s6-maximumtime
%{_execdir}/s6-mkdir
%{_execdir}/s6-mkfifo
%{_execdir}/s6-nice
%{_execdir}/s6-nuke
%{_execdir}/s6-pause
%{_execdir}/s6-printenv
%{_execdir}/s6-quote
%{_execdir}/s6-quote-filter
%{_execdir}/s6-rename
%{_execdir}/s6-rmrf
%{_execdir}/s6-seq
%{_execdir}/s6-sleep
%{_execdir}/s6-sort
%{_execdir}/s6-sync
%{_execdir}/s6-tai64ndiff
%{_execdir}/s6-tail
%{_execdir}/s6-touch
%{_execdir}/s6-true
%{_execdir}/s6-uniquename
%{_execdir}/s6-unquote
%{_execdir}/s6-unquote-filter
%{_execdir}/s6-update-symlinks
%{_execdir}/seekablepipe


%files doc
%doc doc/


%files devel
%{_includedir}/s6-portable-utils/config.h


%changelog
%{autochangelog}
